#ifndef SETTINGSDIALOG_H
#define SETTINGSDIALOG_H

#include <QDialog>

namespace Ui {
    class SettingsDialog;
}

class SettingsDialog : public QDialog
{
    Q_OBJECT

public:
    enum RotationType {
        ROTATE_LANDSCAPE,
        ROTATE_PORTRAIT,
        ROTATE_AUTO,
    };

public:
    explicit SettingsDialog(QWidget *parent = 0);
    ~SettingsDialog();

    void setAutoConnect(bool autoConnect);
    void setAutoUpdate(bool autoUpdate);
    void setRotation(int rotationType);

    bool getAutoConnect() const;
    bool getAutoUpdate() const;
    RotationType getRotation() const;

protected:
    void changeEvent(QEvent *e);

private:
    Ui::SettingsDialog *ui;
};

#endif // SETTINGSDIALOG_H
